import request from '@/utils/request'

// 查询护理申请列表
export function listApplications(query) {
  return request({
    url: '/care/applications/list',
    method: 'get',
    params: query
  })
}

// 查询护理申请详细
export function getApplications(applyId) {
  return request({
    url: '/care/applications/' + applyId,
    method: 'get'
  })
}

// 新增护理申请
export function addApplications(data) {
  return request({
    url: '/care/applications',
    method: 'post',
    data: data
  })
}

// 修改护理申请
export function updateApplications(data) {
  return request({
    url: '/care/applications',
    method: 'put',
    data: data
  })
}

// 删除护理申请
export function delApplications(applyId) {
  return request({
    url: '/care/applications/' + applyId,
    method: 'delete'
  })
}
//指派
export function assignApplications(data) {
  return request({
    url: '/care/applications/assign',
    method: 'post',
    data: data
  })
}